package net.heartshield.sensors;

import android.view.TextureView;

import net.heartshield.data.Measurement;

/**
 * Provides fake replay sensors for testing.
 *
 * @author David Madl (git@abanbytes.eu)
 * @date 2017-04-12
 */
public class DummySensorFactory implements ISensorFactory {
    Measurement mMeasurement;

    public DummySensorFactory(Measurement measurement) {
        mMeasurement = measurement;
    }

    @Override
    public ISensor getAccelerationSensor() {
        return new DummyAccelerationSensor(mMeasurement);
    }

    @Override
    public IntensityDetector getIntensityDetector(TextureView cameraPreview) {
        return new DummyIntensityDetector(mMeasurement);
    }

    @Override
    public IAudioSensor getAudioSensor() {
        return new DummyAudioSensor();
    }
}
